export function adapterOfMqttUserList(data: Mqtt.User[] | null): ApiMqttUser.User[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttUser.User = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttPastureEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}

export function adapterOfMqttTopicEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}

export function adapterOfMqttCategoryList(data: Mqtt.Category[] | null): ApiMqttCategory.Category[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttCategory.Category = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttCategoryEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}
